> For the complete documentation index, see [llms.txt](https://docs.idle.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.idle.finance/developers/best-yield/methods/redeemidletoken-1.md).

# redeemIdleToken

Developers > Best Yield > redeemIdleToken

With this method, users can redeem their underlying balance by burning Idle LP tokens. We calculate the pool share one can withdraw given the amount of Idle LP tokens they want to burn and redeem the corresponding underlying amount from each lending protocol currently used (if the unlent pool is not sufficient). We then send the underlying to the `msg.sender` .

With this call also governance tokens accrued by a user will be redeemed and sent to the user. This method can be called with `_amount` equal to 0 to redeem governance tokens only and maintain the position in Idle.&#x20;

### Function

```solidity
function redeemIdleToken(
    uint256 _amount
) external returns (uint256 redeemedTokens);
```

### **Parameters**

<table><thead><tr><th width="303">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><code>_amount</code></td><td>The amount of Idle LP tokens to be burned</td></tr></tbody></table>

### **Return values**

<table><thead><tr><th width="307">Value</th><th>Description</th></tr></thead><tbody><tr><td><code>redeemedTokens</code></td><td>The amount of underlying tokens redeemed</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.idle.finance/developers/best-yield/methods/redeemidletoken-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
